﻿@import (reference) "_Branding.less";
@import "_Controls/_Alerts.less";
@import "_Controls/_Buttons.less";
@import "_Controls/_Links.less";
@import "_Controls/_Validators.less";

input[type="radiobutton"],
input[type="checkbox"],
.cursor-pointer {
    cursor: pointer;
}

input[type="text"],
input[type="password"] {
    outline: none;
    border: 1px solid @default-white-dark;
    border-radius: 4px;
    padding: 6.5px;

    &:focus {
        box-shadow: 0 0 15px #b6d2e9;
    }

    &.input-validation-error {
        border: 1px solid @brand-danger;
    }
}

.validation-summary {
    &-valid {
        display: none;
    }
    
    &-errors {
        .default-validation-summary;
    }
}

.logout-link {
    .link-with-icon(@fa-var-sign-out);
}
